from cmk.gui.valuespec import (
    Integer,
    Float,
    Dictionary,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithoutItem,
    rulespec_registry,
    RulespecGroupCheckParametersApplications,
)

def _parameter_valuespec_cryptshare_check():
    return Dictionary(
            help=("This rule sets limits to the today transfer count of "
                "a Cryptshare server."),
            title=("Maximum transfer per day of a cryptshare server"),
            elements=[
                ("warnc", Integer(title=("Warning at"), unit=u"Transfers")),
                ("critc", Integer(title=("Critical at"), unit=u"Transfers")),
                ("warnf", Integer(title=("Warning at"), unit=u"Files")),
                ("critf", Integer(title=("Critical at"), unit=u"Files")),
                ("warnv", Integer(title=("Warning at"), unit=u"GB")),
                ("critv", Integer(title=("Critical at"), unit=u"GB")),
                ],
            )

rulespec_registry.register(
        CheckParameterRulespecWithoutItem(
            check_group_name="cryptshare_check",
            group=RulespecGroupCheckParametersApplications,
            parameter_valuespec=_parameter_valuespec_cryptshare_check,
            title=lambda: _("Cryptshare transferd files"),
        ))
